Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchDataproviders.service.ts	(revision 58275)
@@ -203,7 +203,7 @@
       var basicQuery = "(oaftype exact datasource) "
       url += "?query=";
       if(datasourceId!= null && datasourceId != ''  ) {
-        url +=" ( "+basicQuery+ " ) " +" and (collectedfromdatasourceid exact \"" + datasourceId + "\")";
+        url +=" ( "+basicQuery+ " ) " +" and (collectedfromdatasourceid exact \"" + datasourceId + "\" or resulthostingdatasourceid exact \""+ datasourceId + "\")";
       }else{
         url +=" ( "+basicQuery+ " ) ";
       }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/metrics.service.ts	(revision 58275)
@@ -5,7 +5,7 @@
 import {Metrics} from '../utils/entities/metrics';
 
 import{EnvProperties} from '../utils/properties/env-properties';
-import {map} from "rxjs/operators";
+import {catchError, map} from "rxjs/operators";
 
 @Injectable()
 export class MetricsService {
@@ -13,12 +13,15 @@
 
     constructor(private http: HttpClient ) {}
 
+    hasAltMetrics(url: string, doi: string): Observable<boolean> {
+        return this.http.get(url + doi).pipe(map(res => !!(res)));
+    }
+    
     getMetrics (id: string, entityType: string, properties:EnvProperties):any {
         let url = properties.metricsAPIURL+entityType+"/"+id+"/clicks";
         let key = url;
 
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                    //.map(res => <any> res.json())
                     .pipe(map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"],
                                                   res["total_openaire_views"], res["total_openaire_downloads"], res["pageviews"], properties)));
     }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/showTitle.component.ts	(revision 58275)
@@ -4,11 +4,10 @@
 @Component({
     selector: 'showTitle',
     template: `
-        <h2 [class]="classNames">
+        <h1 [ngClass]="classNames" class="uk-h2">
           <div *ngIf="title != undefined" class="landingTitle">
-              <span   *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
+              <span *ngIf="title['url'] != undefined && title['url'] != null && title['url'] != ''"
                       class="custom-external">
-  
                   <a *ngIf="title['name'] != undefined && title['name'] != ''"
                       href="{{title['url']}}" target="_blank"
                       [innerHTML]="title['name']">
@@ -34,7 +33,7 @@
           <div *ngIf="!titleName && !title">
             <span>[no title available]</span>
           </div>
-        </h2>
+        </h1>
     `
 
     })
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/landing-utils/citeThis/citeThis.component.ts	(revision 58275)
@@ -9,19 +9,14 @@
   selector: 'citeThis',
   template: `
 
-  <div class="citationDownloader ">
-    <dl class="uk-description-list-line">
-      <!--dt class="title">Cite this {{type}}</dt-->
-      <dd class="line"  >
-        <mat-select class="matSelection" id="citations" name="citeselect" [(ngModel)]="selectedStyle" (ngModelChange)="styleChanged()"
-                    [disableOptionCentering]="true"
-                    panelClass="matSelectionPanel">
-          <mat-option   value="0">select a citation style</mat-option>
-          <mat-option *ngFor=" let  style of this.citation.templates let i = index" [value]="style">{{style}}</mat-option>
-        </mat-select>
-        <div *ngIf="selectedStyle!='0'" id="citation" class="box-content uk-padding-small uk-overflow-auto" [innerHTML]=citationText></div>
-      </dd>
-    </dl>
+  <div class="uk-padding-small">
+    <mat-select class="matSelection" id="citations" name="citeselect" [(ngModel)]="selectedStyle" (ngModelChange)="styleChanged()"
+                [disableOptionCentering]="true"
+                panelClass="matSelectionPanel">
+      <mat-option   value="0">select a citation style</mat-option>
+      <mat-option *ngFor=" let  style of this.citation.templates let i = index" [value]="style">{{style}}</mat-option>
+    </mat-select>
+    <div *ngIf="selectedStyle!='0'" id="citation" class="box-content uk-margin-small-top uk-overflow-auto" [innerHTML]=citationText></div>
   </div>
   `
 })
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.service.ts	(revision 58275)
@@ -5,6 +5,7 @@
 import {EnvProperties} from '../../utils/properties/env-properties';
 import {ParsingFunctions} from '../landing-utils/parsingFunctions.class';
 import {map, tap} from "rxjs/operators";
+import {Organization} from "../../utils/result-preview/result-preview";
 
 @Injectable()
 export class ResultLandingService {
@@ -89,7 +90,7 @@
     if (data[0] != null) {
       let date: string = (data[0].dateofacceptance) + ''; // transform to string in case it is an integer
       this.resultLandingInfo.date  = (date && (date).indexOf('-') !== -1) ? date.split('-')[0] : date;
-      this.resultLandingInfo.dateofacceptance = data[0].dateofacceptance;
+      this.resultLandingInfo.dateofacceptance = data[0].dateofacceptance?new Date(data[0].dateofacceptance):null;
       this.resultLandingInfo.publisher = data[0].publisher;
       if(!Array.isArray(data[0].description)) {
         //this.resultLandingInfo.description = String(data[0].description);
@@ -98,7 +99,7 @@
         //this.resultLandingInfo.description = String(data[0].description[0]);
         this.resultLandingInfo.description = (data[0] && data[0].description[0]) ? String(data[0].description[0]) : "";
       }
-      this.resultLandingInfo.embargoEndDate = data[0].embargoenddate;
+      this.resultLandingInfo.embargoEndDate = data[0].embargoenddate?new Date(data[0].embargoenddate):null;
     }
 
     if(data[0]['bestaccessright'] && data[0]['bestaccessright'].hasOwnProperty("classname")) {
@@ -191,6 +192,20 @@
             /**********************************************************/
           }
         }
+        /* Order Download from via openness*/
+        this.resultLandingInfo.hostedBy_collectedFrom.sort((a, b) => {
+          if(a.bestAccessMode && a.bestAccessMode.toLowerCase() === 'open access') {
+            return -1;
+          } else if(b.bestAccessMode && b.bestAccessMode.toLowerCase() === 'open access') {
+            return 1;
+          } else if(!a.bestAccessMode || a.bestAccessMode.toLowerCase() !== 'not available') {
+            return 1;
+          } else if(!b.bestAccessMode || b.bestAccessMode.toLowerCase() !== 'not available') {
+            return -1;
+          } else {
+            return 0;
+          }
+        });
       }
 
       if(data[3].hasOwnProperty("externalreference")) {
@@ -281,13 +296,7 @@
         return (item != undefined && item.fullName != undefined);
       });
     }
-
-    if(this.resultLandingInfo.relatedResearchResults) {
-      let self = this;
-      this.resultLandingInfo.relatedResearchResults.forEach(function (value, key, map) {
-        self.resultLandingInfo.relatedResearchResults.set(key, self.parsingFunctions.sortByPercentage(value));
-      });
-    }
+    this.resultLandingInfo.relatedResearchResults = this.parsingFunctions.sortByPercentage(this.resultLandingInfo.relatedResearchResults);
     this.resultLandingInfo.similarResearchResults = this.parsingFunctions.sortByPercentage(this.resultLandingInfo.similarResearchResults);
     this.resultLandingInfo.supplementaryResearchResults = this.parsingFunctions.sortByPercentage(this.resultLandingInfo.supplementaryResearchResults);
     this.resultLandingInfo.supplementedByResearchResults = this.parsingFunctions.sortByPercentage(this.resultLandingInfo.supplementedByResearchResults);
@@ -295,13 +304,9 @@
     return this.resultLandingInfo;
   }
 
-  parseRelatedOrganizations(organizations: {"name": string, "shortname":string, "id": string, "websiteUrl": string, "country": string, "trust": number}[], relation: any):
-    {"name": string, "shortname":string, "id": string, "websiteUrl": string, "country": string, "trust": number}[] {
+  parseRelatedOrganizations(organizations: Organization[], relation: any): Organization[] {
     if(organizations == undefined) {
-      organizations = new Array<{
-        "name": string, "shortname": string,
-        "id": string, "websiteUrl": string,
-        "country": string, "trust": number}>();
+      organizations = []
     }
 
     let organization: { "name": string, "shortname": string,
@@ -308,9 +313,9 @@
       "id": string, "websiteUrl": string,
       "country": string, "trust": number
     } = {
-      "name": "", "shortname": "",
-      "id": "", "websiteUrl": "",
-      "country": "", "trust": null
+      name: "", shortname: "",
+      id: "", websiteUrl: "",
+      country: "", trust: null
     };
 
     organization.id = relation['to'].content;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/services/searchProjects.service.ts	(revision 58275)
@@ -39,7 +39,7 @@
       var basicQuery = "(oaftype exact project) "
       url += "?query=";
       if(datasourceId!= null && datasourceId != ''  ) {
-        url +=" ( "+basicQuery+ " ) " +" and (collectedfromdatasourceid exact \"" + datasourceId + "\")";
+        url +=" ( "+basicQuery+ " ) " +" and (collectedfromdatasourceid exact \"" + datasourceId + "\" or resulthostingdatasourceid exact \""+ datasourceId + "\")";
       }else{
         url +=" ( "+basicQuery+ " ) ";
       }
@@ -74,6 +74,7 @@
       //.map(res => <any> res.json())
       .pipe(map(res => [res['meta'].total, this.parseResults(res['results']), RefineResultsUtils.parse(res['refineResults'],refineFields, "project")]));
     }
+    
     getProjectsForOrganizations (organizationId: string, filterquery: string, page: number, size: number, refineFields:string[] , properties:EnvProperties  ):any {
       let url = properties.searchResourcesAPIURL;
       var basicQuery = "(oaftype exact project) "
@@ -149,6 +150,10 @@
             result.acronym = resData['acronym'];
             result.code = resData['code'];
 
+            result.budget = resData.totalcost;//"10000";
+            result.contribution = resData.fundedamount;//"200100";
+            result.currency = resData.currency;//"EUR";
+
             result.id = Array.isArray(data) ? data[i]['result']['header']['dri:objIdentifier'] : data['result']['header']['dri:objIdentifier'];
 
             if(!Array.isArray(resData['summary'])) {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/searchPages/find/search.component.ts	(revision 58275)
@@ -25,7 +25,7 @@
 import {SEOService} from '../../sharedComponents/SEO/SEO.service';
 import {StringUtils} from '../../utils/string-utils.class';
 import {SearchCustomFilter} from "../searchUtils/searchUtils.class";
-import {Observable} from "rxjs";
+import {Observable, Subscription} from "rxjs";
 
 @Component({
   changeDetection: ChangeDetectionStrategy.Default,
@@ -452,7 +452,7 @@
 
   }
 
-  private numOfSearchResults(resultType: string, fetchClass: FetchResearchResults, refineParams): Observable<any> {
+  private numOfSearchResults(resultType: string, fetchClass: FetchResearchResults, refineParams) {
     return this._searchResearchResultsService.numOfSearchResults(resultType, this.keyword, this.properties, refineParams).subscribe(
       data => {
         fetchClass.searchUtils.totalResults = data;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.component.ts	(revision 58275)
@@ -1,4 +1,4 @@
-import {Component, ElementRef, Input, ViewChild} from '@angular/core';
+import {ChangeDetectorRef, Component, Input, ViewChild} from '@angular/core';
 import {ActivatedRoute, Router} from '@angular/router';
 import {Meta, Title} from '@angular/platform-browser';
 
@@ -12,14 +12,14 @@
 import {HelperFunctions} from '../../utils/HelperFunctions.class';
 import {HelperService} from '../../utils/helper/helper.service';
 import {Location} from "@angular/common";
+import {MetricsService} from "../../services/metrics.service";
+import {Organization, RelationResult, ResultPreview} from "../../utils/result-preview/result-preview";
 
 
 @Component({
   selector: 'result-landing',
   templateUrl: 'resultLanding.component.html',
-
 })
-
 export class ResultLandingComponent {
   @Input() type: string = "publication";
   @Input() piwikSiteId = null;
@@ -29,9 +29,15 @@
   @Input() activeTab: string = "References";
 
   @ViewChild('AlertModalDeletedByInference') alertModalDeletedByInference;
+  @ViewChild('referencesModal') referencesModal;
+  @ViewChild('bioentitiesModal') bioentitiesModal;
+  @ViewChild('relationModal') relationModal;
+  @ViewChild('organizationModal') organizationModal;
   public deleteByInferenceOpened: boolean = false;
 
   public resultLandingInfo: ResultLandingInfo;
+  public relationResults: RelationResult[];
+  public relation: string = 'trust';
   public id: string;
   public title: string;
 
@@ -39,15 +45,12 @@
   public linkToLandingPage: string = null;
   public linkToSearchPage: string = null;
 
-  // APP BOX variables
-  public showAllCollectedFrom: boolean = false;
-  public showAllDownloadFrom: boolean = false;
+  public thresholdDescription: number = 670;
+  public showNumDescription: number = 670;
 
-  public thresholdDescription: number = 270;
-  public showNumDescription: number = 270;
-
   // Metrics tab variables
   public metricsClicked: boolean;
+  public hasAltMetrics: boolean = false;
   public viewsFrameUrl: string;
   public downloadsFrameUrl: string;
   public totalViews: number;
@@ -56,15 +59,15 @@
 
   // Custom tab paging variables
   public referencesPage: number = 1;
+  public bioentitiesPage: number = 1;
+  public relationPage: number = 1;
   public organizationsPage: number = 1;
   public softwarePage: number = 1;
-  public bioentitiesPage: number = 1;
   public openCitationsPage: number = 1;
   public pageSize: number = 10;
 
   // Map counting variables
   public bioentitiesNum: number = 0;
-  public relatedResearchResultsNum: number = 0;
 
   // Message variables
   public warningMessage = "";
@@ -75,18 +78,21 @@
 
   private doi: string;
   public doiURL: string;
-  private result;
   sub: any;
   piwiksub: any;
   infoSub: any;
   properties: EnvProperties;
+  public indexUpdateDate: Date;
   public pageContents = null;
   public divContents = null;
+  
+  public addThis: boolean = true;
+  public showFeedback: boolean = false;
+  public feedbackFields: string [] = [
+    'Title', 'Authors', 'Access rights',
+    'Publisher information', 'Funding Information',
+    'Persistent identifiers','Other'];
 
-  @ViewChild('accordions')
-  accordions: ElementRef;
-  testBrowser: boolean = false;
-
   constructor(private _resultLaningService: ResultLandingService,
               private _piwikService: PiwikService,
               private route: ActivatedRoute,
@@ -96,6 +102,8 @@
               private _router: Router,
               private helper: HelperService,
               private seoService: SEOService,
+              private metricsService: MetricsService,
+              private cdr: ChangeDetectorRef,
               private _location: Location) {
   }
 
@@ -103,11 +111,13 @@
     this.route.data
       .subscribe((data: { envSpecific: EnvProperties }) => {
         this.properties = data.envSpecific;
+        if(this.properties.lastIndexUpdate) {
+          this.indexUpdateDate = new Date(this.properties.lastIndexUpdate);
+        }
         //this.getDivContents();
         this.getPageContents();
         this.doiURL = this.properties.doiURL;
         this.updateUrl(data.envSpecific.baseLink + this._router.url);
-
         this.sub = this.route.queryParams.subscribe(data => {
           this.resultLandingInfo = null;
           if(this.type == "publication") {
@@ -195,8 +205,31 @@
       this.infoSub.unsubscribe();
     }
   }
+  
+  public getTypeName(): string {
+    if (this.type === "dataset") {
+      return "research data";
+    } else if (this.type === "orp" || this.type === "other") {
+      return "other research product";
+    } else {
+      return this.type;
+    }
+  }
+  
+  public removeUnknown(array: string[], type: boolean = false): string[] {
+    if (type) {
+      return this.removeDuplicates(array).filter(value => value.toLowerCase() !== 'unknown');
+    } else {
+      return array.filter(value => value.toLowerCase() !== 'unknown');
+    }
+  }
+  
+  public removeDuplicates(array: string[]): string[] {
+    let type = this.getTypeName();
+    return array.filter(value => value.toLowerCase() !== type);
+  }
 
-  private getOpenCitations(id: string) {
+  private getOpenCitations() {
     this._resultLaningService.getOpenCitations(this.id, this.properties).subscribe(
       data => {
         this.resultLandingInfo.openCitations = data[1];
@@ -234,7 +267,7 @@
         }
         this.seoService.createLinkForCanonicalURL(this.properties.baseLink + this.linkToLandingPage + this.resultLandingInfo.record["result"]["header"]["dri:objIdentifier"]);
         if ((this.type == "publication") && (this.properties.environment == "beta" || this.properties.environment == "development") && (typeof document !== 'undefined')) {
-          this.getOpenCitations(this.id);
+          this.getOpenCitations();
         }
 
         if (this.resultLandingInfo.title) {
@@ -252,32 +285,15 @@
           });
         }
         this.bioentitiesNum = bioentitiesNum;
-
-        let relatedResearchResultsNum = 0;
-        if (this.resultLandingInfo.relatedResearchResults != undefined) {
-          this.resultLandingInfo.relatedResearchResults.forEach(function (value, key, map) {
-            relatedResearchResultsNum += value.length;
-          });
-        }
-        this.relatedResearchResultsNum = relatedResearchResultsNum;
-
-        this.result = {
-          id: this.id,
-          type: this.type,
-          source: "openaire",
-          title: this.resultLandingInfo.title,
-          url: '',
-          result: '',
-          accessRights: this.resultLandingInfo.accessMode,
-          embargoEndDate: ''
-        };
-
         if (this.resultLandingInfo.identifiers != undefined && this.resultLandingInfo.identifiers.has('doi')) {
           this.doi = this.resultLandingInfo.identifiers.get('doi')[0];
+          this.metricsService.hasAltMetrics(this.properties.altMetricsAPIURL, this.doi).subscribe(hasAltMetrics => {
+            this.hasAltMetrics = hasAltMetrics;
+          }, error => {
+            this.hasAltMetrics = false;
+          });
         }
-
         this.showLoading = false;
-
         if (this.resultLandingInfo.references) {
           this.activeTab = "References";
         } else if (this.resultLandingInfo.relatedResearchResults) {
@@ -359,6 +375,14 @@
   public updateReferencesPage($event) {
     this.referencesPage = $event.value;
   }
+  
+  public updateBioentitiesPage($event) {
+    this.bioentitiesPage = $event.value;
+  }
+  
+  public updateRelationPage($event) {
+    this.relationPage = $event.value;
+  }
 
   public updateOrganizationsPage($event) {
     this.organizationsPage = $event.value;
@@ -368,10 +392,6 @@
     this.softwarePage = $event.value;
   }
 
-  public updateBioentitiesPage($event) {
-    this.bioentitiesPage = $event.value;
-  }
-
   public updateOpenCitationsPage($event) {
     this.openCitationsPage = $event.value;
   }
@@ -430,27 +450,58 @@
     this.deleteByInferenceOpened = true;
     this.alertModalDeletedByInference.cancelButton = false;
     this.alertModalDeletedByInference.okButton = false;
-    this.alertModalDeletedByInference.alertTitle = "Other versions";
-    //this.alertModalDeletedByInference.message = "There was an error in csv downloading. Please try again later.";
-    //this.alertModalDeletedByInference.okButtonText = "OK";
+    this.alertModalDeletedByInference.alertTitle = "Other versions of";
     this.alertModalDeletedByInference.open();
   }
-
-  gotoAccordions() {
-    //this.accordions.nativeElement.scrollIntoView();
-
-    let offsetHeight = document.getElementById('stickyNavbar').offsetHeight;
-
-    // scroll to your element
-    this.accordions.nativeElement.scrollIntoView(true);
-
-    // now account for fixed header
-    var scrolledY = window.scrollY;
-
-    if(scrolledY){
-      window.scroll(0, scrolledY - offsetHeight - 50);
-    }
+  
+  openReferences() {
+    this.referencesModal.cancelButton = false;
+    this.referencesModal.okButton = false;
+    this.referencesModal.alertTitle = "References of";
+    this.referencesPage = 1;
+    this.referencesModal.open();
   }
+  
+  openBioentities() {
+    this.bioentitiesModal.cancelButton = false;
+    this.bioentitiesModal.okButton = false;
+    this.bioentitiesModal.alertTitle = "Bioentities of";
+    this.bioentitiesPage = 1;
+    this.bioentitiesModal.open();
+  }
+  
+  openRelationResults(title: string, relationResults: RelationResult[], relation: string = 'trust') {
+    this.relationResults = relationResults;
+    this.relation = relation;
+    this.relationModal.cancelButton = false;
+    this.relationModal.okButton = false;
+    this.relationModal.alertTitle = title;
+    this.relationPage = 1;
+    this.relationModal.open();
+  }
+  
+  openOrganizations() {
+    this.relation = 'trust';
+    this.organizationModal.cancelButton = false;
+    this.organizationModal.okButton = false;
+    this.organizationModal.alertTitle = 'Related organizations of';
+    this.organizationsPage = 1;
+    this.organizationModal.open();
+  }
+  
+  public getResultPreview(result: RelationResult): ResultPreview {
+    return ResultPreview.relationResultConvert(result, this.relation);
+  }
+  
+  public getResultPreviewFromOrg(result: Organization): ResultPreview {
+    return ResultPreview.organizationConvert(result, this.relation);
+  }
+  
+  public hideAddThis(value: boolean) {
+    this.addThis = value;
+    this.cdr.detectChanges();
+  }
+  
   updateUrlWithType(){
     this.type = this.resultLandingInfo.resultType;
     if(this.type == "publication") {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.module.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.module.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/result/resultLanding.module.ts	(revision 58275)
@@ -25,14 +25,18 @@
 import {ResultLandingUtilsModule}     from "../landing-utils/resultLandingUtils.module";
 import {AlertModalModule}             from "../../utils/modal/alertModal.module";
 import {AnnotationModule} from "../annotation/annotation.module";
+import {LandingHeaderModule} from "../landing-utils/landing-header/landing-header.module";
+import {NoLoadPaging} from "../../searchPages/searchUtils/no-load-paging.module";
+import {ResultPreviewModule} from "../../utils/result-preview/result-preview.module";
+import {FeedbackModule} from "../feedback/feedback.module";
 
 @NgModule({
-    imports: [
-        CommonModule, FormsModule, LandingModule, SharedModule, RouterModule,
-        CiteThisModule, PagingModule, IFrameModule,
-        MetricsModule, AltMetricsModule, ConfigurationServiceModule, Schema2jsonldModule, SEOServiceModule,
-        DeletedByInferenceModule, ShowAuthorsModule, HelperModule, ResultLandingUtilsModule, AlertModalModule, AnnotationModule
-    ],
+  imports: [
+    CommonModule, FormsModule, LandingModule, SharedModule, RouterModule,
+    CiteThisModule, PagingModule, IFrameModule,
+    MetricsModule, AltMetricsModule, ConfigurationServiceModule, Schema2jsonldModule, SEOServiceModule,
+    DeletedByInferenceModule, ShowAuthorsModule, HelperModule, ResultLandingUtilsModule, AlertModalModule, AnnotationModule, LandingHeaderModule, NoLoadPaging, ResultPreviewModule, FeedbackModule
+  ],
   declarations: [
     ResultLandingComponent
   ],
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/projectInfo.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/projectInfo.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/projectInfo.ts	(revision 58275)
@@ -2,12 +2,12 @@
     id:string;
     acronym: string;
     title: string;
-    callIdentifier: string;
-    funder: string;
-    funding: string;
-    contractNum: string;
-    startDate: string;
-    endDate: string;
+
+    funding: {funderName: string, funderShortName: string, code: string, fundingStream: string, budget: string, contribution: string, currency: string};
+    startDate: number;
+    endDate: number;
+    currentDate: number;
+    status: string;
     openAccessMandatePublications: string;
     openAccessMandateDatasets: string;
     specialClause39: string;
@@ -14,10 +14,9 @@
     organizations: { "acronym": string, "name": string, "id": string }[];//Map<string, string>;
     url: string;
     urlInfo: string;
-
+    description: string;
     //publications: any;
     researchData: any;
-    statistics: any;
 
     totalPublications: number;
     totalDatasets: number;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/organizationInfo.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/organizationInfo.ts	(revision 58274)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entities/organizationInfo.ts	(revision 58275)
@@ -1,16 +1,28 @@
+export interface OrganizationProject {
+  name: string;
+  id: string;
+  code: string;
+  acronym: string;
+  funder: string;
+  funderId: string;
+  fundingStream: string;
+  fundingLevel1: string;
+  fundingLevel2: string;
+  sc39: string;
+  startDate: string;
+  endDate: string;
+}
+
 export class OrganizationInfo {
-    title: { "name": string, "url": string };
-    name: string;
-    country: string;
-    objIdentifier: string;
-
-
-    projects: Map<string, { "name": string, "id":string, "code": string,
-                            "acronym": string, "funder": string, "funderId": string,
-                            "fundingStream": string, "fundingLevel1": string, "fundingLevel2": string,
-                            "sc39": string, "startDate": string, "endDate": string }[]>;
-    //dataProviders: { "name": string, "url": string, "type": string, "websiteUrl": string,
-    //                    "organizations": {"name": string, "url": string}[]}[];
-
-    deletedByInferenceIds: string[];
+  title: { name: string; url: string; };
+  name: string;
+  country: string;
+  objIdentifier: string;
+  
+  
+  projects: Map<string, OrganizationProject[]>;
+  //dataProviders: { name: string; url: string; type: string; websiteUrl: string;
+  //                    organizations: {name: string; url: string}[]}[];
+  
+  deletedByInferenceIds: string[];
 }
